Creates a new checkout context and redirects to the checkout website using details from the query string parameters.Copy Pageget https://gateway.us.zip.co/orders/authorizeRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query ParamsOrderIduuidGets or sets the unique ID to use for order creationMerchantIduuidGets or sets the merchant Id.MerchantReferencestringGets or sets the unique merchant reference for this authorization.Order.FirstNamestringGets or sets the customer's first name.Order.LastNamestringGets or sets the customer's last name.Order.EmailstringGets or sets the customer's email address.Order.PhonestringGets or sets the customer's phone number.Order.ShippingAddress.Line1stringGets or sets the first address line.Order.ShippingAddress.Line2stringGets or sets the second address line.Order.ShippingAddress.CitystringGets or sets the city.Order.ShippingAddress.StatestringGets or sets the state or province.Order.ShippingAddress.PostalCodestringGets or sets the postal code.Order.ShippingAddress.CountrystringGets or sets the country.Order.BillingAddress.Line1stringGets or sets the first address line.Order.BillingAddress.Line2stringGets or sets the second address line.Order.BillingAddress.CitystringGets or sets the city.Order.BillingAddress.StatestringGets or sets the state or province.Order.BillingAddress.PostalCodestringGets or sets the postal code.Order.BillingAddress.CountrystringGets or sets the country.Order.CurrencystringGets or sets the currency the order amount is in (defaults to TerritorySettings).Order.AmountdoubleGets or sets the order amount. This includes the tax and shipping amounts.Order.TaxAmountdoubleGets or sets the optional tax amount.Order.ShippingAmountdoubleGets or sets the optional shipping amount.Order.LineItemsarray of objectsGets or sets the optional line items of what the user is purchasing.Order.LineItemsADD objectOrder.DescriptionstringGets or sets a description for the order.Order.OrderNumberstringGets or sets the QuadPay order number.TestbooleanGets or sets a value indicating whether this is a test order.truefalseCapturebooleanGets or sets a value indicating whether this order should be immediately captured.truefalseCallbackUrlstringGets or sets the status callback url.RedirectCancelUrlstringGets or sets the url that the user will be redirected to if they cancel the checkout.RedirectConfirmUrlstringGets or sets the url that the user will be redirected to after they have completed the checkout.MetadataobjectGets or sets optional metadata attached to the checkout.Metadata objectOriginstringGets or sets the origin of the order. Usually the merchant's website. Can only be set internally.GatewayHoststringGets or sets the gateway api host. Can only be set internally.CheckoutTypestringenumGets or sets the type of the checkout. Defaults to Standard. Can only be set internally.standardvirtuallongDurationLendingAllowed:standardvirtuallongDurationLendingRequiresCookiebooleanGets or sets a value indicating whether the checkout context should be set as a cookie.truefalseDeferOrderConfirmationbooleanGets or sets a value indicating whether or not to confirm the order upon customer checkout completion. If true, the merchant must make a secondary API call to confirm the order and begin the payment plan. Default is false.truefalseMerchantFeeForPaymentPlandoubleGets or sets the fee added to the order for merchantFeeForPaymentPlanCheckoutFlowstringenumGets or sets the checkout flow for this order. Default is standardstandardexpresslongDurationLendingAllowed:standardexpresslongDurationLendingBrandNamestringGets or sets the brand name of the merchant for this orderExpirationint64Gets or sets a unix timestamp representing the expiration time of the checkout.HeadersQP-TerritorystringenumrequiredDefaults to USTerritory of the requestUSCAGBAllowed:USCAGBResponse 302RedirectUpdated about 6 years ago